#include "mbed.h"
#include "EthernetInterface.h"
#include "rtos.h"

DigitalOut led1(LED1);
DigitalOut led2(LED2);


EthernetInterface eth;
TCPSocketServer svr;
TCPSocketConnection client;

void netIf(void const *arg)
{
    printf("%s\r\n", (char *)arg);
    if(eth.init()<0)        //Use DHCP
        printf("Could not init Ethernet IF\r\n");
    else
        printf("Initialized Ethernet IF\r\n");
    if(eth.connect()<0) {
        printf("Could not Connect\r\n");
    } else {
        printf("Connected\r\n");
        printf("IP Address is %s\r\n", eth.getIPAddress());
    }
    //    setup tcp socket
    if(svr.bind(8)< 0) {
        printf("tcp server bind failed.\n\r");
    } else {
        printf("tcp server bind succeeded.\n\r");
    }

    if(svr.listen(1) < 0) {
        printf("tcp server listen failed.\n\r");
    } else {
        printf("tcp server is listening...\n\r");
    }

    client.set_blocking(false, 3000);
    if(svr.accept(client)<0) {
        printf("Accepted\r\n");
        led2 = 0;
    } else {
        printf("Not Accepted\r\n");

    }// if
}

int main()
{
    printf("\r\nK64F HTTP Server\r\n");
    led1 = led2 = 1;
    netIf("Net Interface");
    while(1) {
        wait_ms(1010);
        led1 = !led1;
    }
}


